import * as React from 'react';
import Svg, {Path} from 'react-native-svg';
import {useNavigation} from '@react-navigation/native';
import {TouchableOpacity} from 'react-native';

import style from './style.scss';

const SvgComponent = props => {
  const navigation = useNavigation();

  return (
    <TouchableOpacity style={style.svg} onPress={() => navigation.goBack()}>
      <Svg width={35} height={35} xmlns="http://www.w3.org/2000/svg" {...props}>
        <Path
          d="M21.955.927A1.5 1.5 0 1 0 24 3.121L21.955.927ZM24 28.88a1.5 1.5 0 1 0-2.046 2.194L24 28.879Zm-18.006-12.1L5.07 17.96l.925-1.18ZM24 3.121a1.53 1.53 0 0 0 .31-.393c.031-.058.095-.205.125-.295.036-.145.06-.53.027-.763-.108-.314-.515-.832-.793-1.012-.22-.089-.6-.156-.75-.156-.252.013-.438.09-.47.102a1.777 1.777 0 0 0-.376.209c-.09.063-.225.163-.385.284-.33.248-.835.636-1.466 1.123-1.263.975-3.046 2.361-4.968 3.86A6437.158 6437.158 0 0 0 5.07 14.04l1.85 2.362c1.931-1.513 6.337-4.962 10.18-7.957a1443.2 1443.2 0 0 1 4.956-3.85c.63-.486 1.124-.865 1.439-1.103.162-.122.26-.194.303-.224.01-.008.007-.005-.006.003a1.112 1.112 0 0 1-.049.03c-.008.005-.088.053-.199.096-.03.012-.215.088-.466.1-.149.001-.529-.066-.749-.155-.278-.18-.684-.698-.792-1.01a2.669 2.669 0 0 1 .026-.763c.03-.09.094-.236.124-.293.06-.107.118-.182.139-.208a1.14 1.14 0 0 1 .129-.14L24 3.12Zm-18.93 14.84c1.931 1.512 6.339 4.962 10.184 7.96 1.922 1.498 3.705 2.884 4.968 3.86.63.486 1.136.874 1.466 1.122a16.386 16.386 0 0 0 .472.343l.074.046c.015.009.1.06.215.104.033.013.219.089.47.102.15 0 .53-.067.75-.157.279-.18.685-.698.793-1.01.034-.235.01-.619-.027-.764a2.67 2.67 0 0 0-.124-.295 1.507 1.507 0 0 0-.31-.393l-2.047 2.194-.03-.03c-.008-.008-.05-.05-.1-.111-.02-.026-.079-.101-.138-.208a2.671 2.671 0 0 1-.124-.293 2.668 2.668 0 0 1-.026-.762c.108-.313.514-.83.792-1.01.22-.09.6-.157.749-.157.25.013.435.089.466.1.111.044.19.092.199.096l.049.03a14.326 14.326 0 0 1-.297-.22c-.315-.238-.81-.616-1.439-1.102-1.257-.97-3.035-2.354-4.957-3.851a6342.008 6342.008 0 0 1-10.18-7.957L5.07 17.96Zm0-3.921a2.484 2.484 0 0 0 0 3.92l1.849-2.362c.256.2.256.603 0 .804L5.07 14.04Z"
          fill="#000"
        />
      </Svg>
    </TouchableOpacity>
  );
};

export default SvgComponent;
